Skip to navigation

Security Advisory ethereal security update

Advisory: RHSA-2004:002-02
Type: Security Advisory
Severity: Low
Issued on: 2004-01-20
Last updated on: 2004-01-20
Affected Products: Red Hat Enterprise Linux AS (v. 2.1)
Red Hat Enterprise Linux AS (v. 3)
Red Hat Enterprise Linux ES (v. 2.1)
Red Hat Enterprise Linux ES (v. 3)
Red Hat Enterprise Linux WS (v. 2.1)
Red Hat Enterprise Linux WS (v. 3)
Red Hat Linux Advanced Workstation 2.1 for the Itanium Processor
CVEs (cve.mitre.org): CVE-2003-1012
CVE-2003-1013

Details

Updated Ethereal packages that fix two security vulnerabilities are now
available.

Ethereal is a program for monitoring network traffic.

Two security issues have been found that affect Ethereal. By exploiting
these issues it may be possible to make Ethereal crash by injecting an
intentionally malformed packet onto the wire or by convincing someone to
read a malformed packet trace file. It is not known if these issues could
allow arbitrary code execution.

The SMB dissector in Ethereal before 0.10.0 allows remote attackers to
cause a denial of service via a malformed SMB packet that triggers a
segmentation fault during processing of Selected packets. The Common
Vulnerabilities and Exposures project (cve.mitre.org) has assigned the name
CAN-2003-1012 to this issue.

The Q.931 dissector in Ethereal before 0.10.0 allows remote attackers to
cause a denial of service (crash) via a malformed Q.931, which triggers a
null dereference. The Common Vulnerabilities and Exposures project
(cve.mitre.org) has assigned the name CAN-2003-1013 to this issue.

Users of Ethereal should update to these erratum packages containing
Ethereal version 0.10.0, which is not vulnerable to these issues.


Solution

Before applying this update, make sure all previously released errata
relevant to your system have been applied.

Please note that this update is available via Red Hat Network. To use Red
Hat Network, launch the Red Hat Update Agent with the following command:

up2date

This will start an interactive process that will result in the appropriate
RPMs being upgraded on your system.

Updated packages

Red Hat Enterprise Linux AS (v. 2.1)

SRPMS:
ethereal-0.10.0a-0.AS21.1.src.rpm
File outdated by:  RHSA-2006:0420
    MD5: 4864cdc433f62bd2a39283c95e8cba5e
ethereal-0.10.0a-0.AS21.1.src.rpm
File outdated by:  RHSA-2006:0420
    MD5: 4864cdc433f62bd2a39283c95e8cba5e
 
IA-32:
ethereal-0.10.0a-0.AS21.1.i386.rpm
File outdated by:  RHSA-2006:0420
    MD5: 2eae83d66a522f3ff16a928a3beb3618
ethereal-gnome-0.10.0a-0.AS21.1.i386.rpm
File outdated by:  RHSA-2006:0420
    MD5: 1361bf4fcb37f3b06757dc5d941764b2
 
IA-64:
ethereal-0.10.0a-0.AS21.1.ia64.rpm
File outdated by:  RHSA-2006:0420
    MD5: e446e723263054aa0c7b6db29a9465c8
ethereal-gnome-0.10.0a-0.AS21.1.ia64.rpm
File outdated by:  RHSA-2006:0420
    MD5: a948b4a7c7fe42d576e1d84c26f2d581
 
Red Hat Enterprise Linux AS (v. 3)

SRPMS:
ethereal-0.10.0a-0.30E.1.src.rpm
File outdated by:  RHSA-2006:0420
    MD5: 835218c09d0387840f6d699d62acd9dc
ethereal-0.10.0a-0.30E.1.src.rpm
File outdated by:  RHSA-2006:0420
    MD5: 835218c09d0387840f6d699d62acd9dc
 
IA-32:
ethereal-0.10.0a-0.30E.1.i386.rpm
File outdated by:  RHSA-2006:0420
    MD5: 9fe833e248eff6f167748d4da3ac1cde
ethereal-gnome-0.10.0a-0.30E.1.i386.rpm
File outdated by:  RHSA-2006:0420
    MD5: b17a76f3181e402256075ee6a2c2fd0b
 
IA-64:
ethereal-0.10.0a-0.30E.1.ia64.rpm
File outdated by:  RHSA-2006:0420
    MD5: 8123332d244b6b24216fa41da28711bd
ethereal-gnome-0.10.0a-0.30E.1.ia64.rpm
File outdated by:  RHSA-2006:0420
    MD5: 8833776003ed0e2b07e647cca78242f8
 
PPC:
ethereal-0.10.0a-0.30E.1.ppc.rpm
File outdated by:  RHSA-2006:0420
    MD5: c4df4fc7b7d5ed58f36443994d4007a2
ethereal-gnome-0.10.0a-0.30E.1.ppc.rpm
File outdated by:  RHSA-2006:0420
    MD5: 5a4b119482b128ffa0e67c2abc4dec24
 
s390:
ethereal-0.10.0a-0.30E.1.s390.rpm
File outdated by:  RHSA-2006:0420
    MD5: cf00042f8127518679abb63635c6bc9e
ethereal-gnome-0.10.0a-0.30E.1.s390.rpm
File outdated by:  RHSA-2006:0420
    MD5: fb0dab4f3f72af4355e714c14cd01494
 
s390x:
ethereal-0.10.0a-0.30E.1.s390x.rpm
File outdated by:  RHSA-2006:0420
    MD5: b539c7d2583ad559492a3bd9827d15b2
ethereal-gnome-0.10.0a-0.30E.1.s390x.rpm
File outdated by:  RHSA-2006:0420
    MD5: 434b52beb8678ef4aa804e55e4c023f5
 
x86_64:
ethereal-0.10.0a-0.30E.1.x86_64.rpm
File outdated by:  RHSA-2006:0420
    MD5: 0a04a969ca381dd61a086dcffb73525a
ethereal-gnome-0.10.0a-0.30E.1.x86_64.rpm
File outdated by:  RHSA-2006:0420
    MD5: 26e6eb9def443d67a48ba25adf7d90d4
 
Red Hat Enterprise Linux ES (v. 2.1)

SRPMS:
ethereal-0.10.0a-0.AS21.1.src.rpm
File outdated by:  RHSA-2006:0420
    MD5: 4864cdc433f62bd2a39283c95e8cba5e
ethereal-0.10.0a-0.AS21.1.src.rpm
File outdated by:  RHSA-2006:0420
    MD5: 4864cdc433f62bd2a39283c95e8cba5e
 
IA-32:
ethereal-0.10.0a-0.AS21.1.i386.rpm
File outdated by:  RHSA-2006:0420
    MD5: 2eae83d66a522f3ff16a928a3beb3618
ethereal-gnome-0.10.0a-0.AS21.1.i386.rpm
File outdated by:  RHSA-2006:0420
    MD5: 1361bf4fcb37f3b06757dc5d941764b2
 
Red Hat Enterprise Linux ES (v. 3)

SRPMS:
ethereal-0.10.0a-0.30E.1.src.rpm
File outdated by:  RHSA-2006:0420
    MD5: 835218c09d0387840f6d699d62acd9dc
ethereal-0.10.0a-0.30E.1.src.rpm
File outdated by:  RHSA-2006:0420
    MD5: 835218c09d0387840f6d699d62acd9dc
 
IA-32:
ethereal-0.10.0a-0.30E.1.i386.rpm
File outdated by:  RHSA-2006:0420
    MD5: 9fe833e248eff6f167748d4da3ac1cde
ethereal-gnome-0.10.0a-0.30E.1.i386.rpm
File outdated by:  RHSA-2006:0420
    MD5: b17a76f3181e402256075ee6a2c2fd0b
 
Red Hat Enterprise Linux WS (v. 2.1)

SRPMS:
ethereal-0.10.0a-0.AS21.1.src.rpm
File outdated by:  RHSA-2006:0420
    MD5: 4864cdc433f62bd2a39283c95e8cba5e
ethereal-0.10.0a-0.AS21.1.src.rpm
File outdated by:  RHSA-2006:0420
    MD5: 4864cdc433f62bd2a39283c95e8cba5e
 
IA-32:
ethereal-0.10.0a-0.AS21.1.i386.rpm
File outdated by:  RHSA-2006:0420
    MD5: 2eae83d66a522f3ff16a928a3beb3618
ethereal-gnome-0.10.0a-0.AS21.1.i386.rpm
File outdated by:  RHSA-2006:0420
    MD5: 1361bf4fcb37f3b06757dc5d941764b2
 
Red Hat Enterprise Linux WS (v. 3)

SRPMS:
ethereal-0.10.0a-0.30E.1.src.rpm
File outdated by:  RHSA-2006:0420
    MD5: 835218c09d0387840f6d699d62acd9dc
ethereal-0.10.0a-0.30E.1.src.rpm
File outdated by:  RHSA-2006:0420
    MD5: 835218c09d0387840f6d699d62acd9dc
 
IA-32:
ethereal-0.10.0a-0.30E.1.i386.rpm
File outdated by:  RHSA-2006:0420
    MD5: 9fe833e248eff6f167748d4da3ac1cde
ethereal-gnome-0.10.0a-0.30E.1.i386.rpm
File outdated by:  RHSA-2006:0420
    MD5: b17a76f3181e402256075ee6a2c2fd0b
 
IA-64:
ethereal-0.10.0a-0.30E.1.ia64.rpm
File outdated by:  RHSA-2006:0420
    MD5: 8123332d244b6b24216fa41da28711bd
ethereal-gnome-0.10.0a-0.30E.1.ia64.rpm
File outdated by:  RHSA-2006:0420
    MD5: 8833776003ed0e2b07e647cca78242f8
 
x86_64:
ethereal-0.10.0a-0.30E.1.x86_64.rpm
File outdated by:  RHSA-2006:0420
    MD5: 0a04a969ca381dd61a086dcffb73525a
ethereal-gnome-0.10.0a-0.30E.1.x86_64.rpm
File outdated by:  RHSA-2006:0420
    MD5: 26e6eb9def443d67a48ba25adf7d90d4
 
Red Hat Linux Advanced Workstation 2.1 for the Itanium Processor

SRPMS:
ethereal-0.10.0a-0.AS21.1.src.rpm
File outdated by:  RHSA-2006:0420
    MD5: 4864cdc433f62bd2a39283c95e8cba5e
ethereal-0.10.0a-0.AS21.1.src.rpm
File outdated by:  RHSA-2006:0420
    MD5: 4864cdc433f62bd2a39283c95e8cba5e
 
IA-64:
ethereal-0.10.0a-0.AS21.1.ia64.rpm
File outdated by:  RHSA-2006:0420
    MD5: e446e723263054aa0c7b6db29a9465c8
ethereal-gnome-0.10.0a-0.AS21.1.ia64.rpm
File outdated by:  RHSA-2006:0420
    MD5: a948b4a7c7fe42d576e1d84c26f2d581
 

Bugs fixed (see bugzilla for more information)

112224 - CAN-2003-1012/3 Ethereal security issues


References



These packages are GPG signed by Red Hat for security. Our key and details on how to verify the signature are available from:
https://www.redhat.com/security/team/key/#package

The Red Hat security contact is secalert@redhat.com. More contact details at http://www.redhat.com/security/team/contact/